Name:           signon-ui
Version:        0.15
Release:        %mkrel 1
Summary:        Online Accounts Sign-on Ui
Group:          Development/Libraries
License:        GPLv3
URL:            https://launchpad.net/signon-ui
Source0:        https://launchpad.net/signon-ui/trunk/%{version}/+download/%{name}-%{version}.tar.bz2
Patch0:         signon-ui-0.15-fix-qt5-build.patch
Patch1:         signon-ui-0.15-dont-install-tests.patch

# Qt5 BuildRequires
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  pkgconfig(libproxy-1.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(signond)
BuildRequires:  pkgconfig(signon-plugins)
BuildRequires:  pkgconfig(libsignon-qt5)
BuildRequires:  pkgconfig(accounts-qt5)

%description
Sign-on UI is the component responsible for handling the user interactions
which can happen during the login process of an online account.
It can show password dialogs and dialogs with embedded web pages.

%files
%{_bindir}/signon-ui
%{_datadir}/dbus-1/services/com.canonical.indicators.webcredentials.service
%{_datadir}/dbus-1/services/com.nokia.singlesignonui.service
%dir %{_sysconfdir}/signon-ui
%{_sysconfdir}/signon-ui/webkit-options.d

#----------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%qmake_qt5

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

# Own directory where others can install provider-specific configuration
mkdir -p %{buildroot}%{_sysconfdir}/signon-ui/webkit-options.d


%changelog
* Sat Feb 15 2020 tex - 0.15-1pclos2020
- import from maggie
